/***
 * Memory operations.
 *
 * A set of operations for accessing memory.
 *
 * Change Log:
 * 2014/11/10 md created
 */

#include "../include/mem_ops.h"


/****************************************************************************\
| PUBLIC CODE                                                                |
\****************************************************************************/

/**
 * read_volatile_int
 *
 * Access a volatile pointer pointing to an integer and get the value.
 */
int
read_volatile_int (volatile int * address)
{
	return * address;
} /* read_volatile_int */


/**
 * write_volatile_int
 *
 * Access a volatile pointer pointing to an integer and set the value.
 */
void write_volatile_int (volatile int * address, int value)
{
	* address = value;
} /* write_volatile_int */
